package eu.maiora.model

import eu.maiora.db.*
import org.jetbrains.exposed.sql.or

class ViewEcommerceArticoliRepositoryImpl : ViewEcommerceArticoliRepository {
    override suspend fun articoloByCodice(codice: String): ViewEcommerceArticoli? = suspendTransaction {
        // Cerca un articolo dalla tabella ViewEcommerceArticoliTable
        ViewEcommerceArticoliDAO.find { ViewEcommerceArticoliTable.codice eq codice }
            .singleOrNull() // Restituisce un singolo risultato o null se non trovato
            ?.let { viewEcommerceArticoliDaoToModel(it) } // Converte il DAO in un oggetto ViewEcommerceArticoli

    }
}